using System;
class HelloWorld 
{
    static void Main() 
    {
        int n = int.Parse(Console.ReadLine());
        int m = int.Parse(Console.ReadLine());
        int d = 1, broj = 0;
        int a = Math.Max(n,m);
        int b = Math.Min(n,m);
        while(b > 0)
        {
            if(a%10 > b%10)
            {
                broj += d*(a%10);
            }
            else if(a%10 < b%10)
            {
                broj += d*(b%10);
            }
            else
            {
                broj += d*(a%10);
                d*=10;
                broj += d*(b%10);
            }
            d*=10;
            a/=10;
            b/=10;
        }
        if(a != b)
        {
            while(a > 0)
            {
                broj += d*(a%10);
                d*=10;
                a/=10;
            }
        }
        Console.WriteLine(broj);
    }
}